Subject: bug#59178: [Angel de Vicente] Re: bug#59178: 28.2 ; Problems with Gnus (Emacs) + GnuPG for signing a mail with S/MIME

From: Björn Bidar <[email-masked]>
Date: Sat, 12 Nov 2022 14:48:59 +0200

Angel de Vicente <[email-masked]> writes:

> Hello Björn,
>
> Björn Bidar <[email-masked]> writes:
>
>> Which pinentry are you using? Recently I learned that not all Pinentry's
>> support the Emacs hack (INSIDE_EMACS).
>>
>> I think the Qt pinentry didn't support it for example.
>
> not completely sure. The default pinentry is a text file that redirects
> to some of the other pinentrys. 

Check ~/.gnupg/gpg-agent.conf for pinentry-program, for me it looks like
this:
pinentry-program /usr/bin/pinentry-qt

This pinentry doesn't support the Emacs loopback mode, the GTK2 prompt
does support the INSIDE_EMACS hack to redirect the entry to Emacs as
mentioned in the pinentry manual.

The only other thing is that `allow-loopback-pinentry` should be set
into that file too but I think you have already set that.

Br,

Björn